<template>
  <div class="is-Small-Screen">
    <div class="header-bg"></div>
    <div class="h-[52px] py-[14px]">
      <h1 class="font-bold text-[20px] text-white">
        {{ $t("hi") }}! {{ isBSI ? $t("anonymous") : username }}
      </h1>
    </div>
    <div v-if="isShowWalletContainer" class="overflow-auto h-full">
      <div class="w-full">
        <div class="flex flex-col padding-x">
          <div class="bg-background1 w-full min-h-[130px] rounded-lg p-[12px]">
            <div class="flex justify-between">
              <div>
                <template v-for="(wallet, index) in wallets" :key="index">
                  <div :key="index"  v-if="(wallet.Category === 0 || peruShop === false)">
                    <div>
                      <span class="text-xs text-white">{{
                        wallet.getWalletNameForDisplay()
                      }}</span>
                        <h1 class="text-2xl text-white">
                          {{ wallet.getBetCreditForDisplay() }}
                        </h1>
                    </div>
                  </div>
                </template>
                <!-- <div v-for="(wallet, index) in wallets" :key="index">
                  <span class="text-xs text-white">{{
                    wallet.getWalletNameForDisplay()
                  }}</span>
                  <h1 class="text-2xl text-white">
                    {{ wallet.getBetCreditForDisplay() }}
                  </h1>
                </div> -->
              </div>
              <div class="mt-auto pb-1 text-sm">
                <span class="m-account-currency mr-2">{{ currency }}</span>
                <icons :is-refresh="true" class="refresh_icon w-3" @click="getMultiWallets"/>
              </div>
            </div>
            <div
              v-if="isShowDepositWithdrawal && isCashPlayer"
              class="flex flex-row items-start p-0 gap-2 w-full mt-[16px] peru-profile-transaction-btns"
            >
              <nuxt-link
                :to="isBSI ? '/login' : '/deposit'"
                class="flex justify-center items-center py-2.5 w-1/2 h-[48px] bg-primary rounded-lg"
              >
                <div class="h-[20px] w-[20px] mr-1.5">
                  <svg-icon
                    svg-name="icon-plus"
                    class="icon w-[21px] h-[21px]"
                    style="fill: #fff"
                  />
                </div>
                <span
                  class="h-[16px] font-bold text-sm leading-4 text-center text-white"
                >
                  {{ $t(`deposit${isBhinbhin}`) }}
                </span>
              </nuxt-link>
              <nuxt-link
                :to="isBSI ? '/login' : '/withdrawal'"
                class="flex justify-center items-center py-2.5 w-1/2 h-[48px] bg-primary rounded-lg"
              >
                <div class="h-[20px] w-[20px] mr-1.5">
                  <svg-icon
                    svg-name="icon-minus"
                    class="icon w-[21px] h-[21px]"
                    style="fill: #fff"
                  />
                </div>
                <span
                  class="h-[16px] font-bold text-sm leading-4 text-center text-white"
                >
                  {{ $t("withdrawal") }}
                </span>
              </nuxt-link>
            </div>
          </div>
          <!-- <utils-mobile-account-information /> -->
          <div class="overflow-auto mt-[10px] pb-[8rem]">
            <div
              class="flex flex-col rounded-lg sm:grid sm:grid-cols-2 sm:gap-x-2"
            >
              <div
                class="box h-fit bg-background1 px-4 sm:py-4 flex flex-col rounded-t-lg sm:rounded-lg"
              >
                <nuxt-link class="py-3 m-profile-menu-item" to="/wallet">
                  <div class="flex justify-between">
                    <div class="flex items-center fc-text">
                      <svg-icon
                        svg-name="icon-wallet-peru"
                        class="icon w-[24px] h-[24px]"
                      />
                      <span class="profile-menu-title">{{ $t("wallet") }}</span>
                    </div>
                    <div class="flex items-center m-angle-right-container">
                      <font-awesome-icon icon="angle-right" />
                    </div>
                  </div>
                </nuxt-link>
                <nuxt-link class="py-3 m-profile-menu-item" to="/Account">
                  <div class="flex items-center justify-between">
                    <div class="flex items-center fc-text">
                      <svg-icon
                        svg-name="icon-profile2-peru"
                        class="icon w-[24px] h-[24px]"
                      />
                      <span class="profile-menu-title">{{
                        $t("account_setting")
                      }}</span>
                    </div>
                    <div class="flex items-center m-angle-right-container">
                      <font-awesome-icon icon="angle-right" />
                    </div>
                  </div>
                </nuxt-link>
                <nuxt-link
                  class="py-3 m-profile-menu-item"
                  to="/transaction-history"
                >
                  <div class="flex justify-between">
                    <div class="flex items-center fc-text">
                      <!-- <span v-html="statementIcon" class="icon"></span> -->
                      <svg-icon
                        svg-name="icon-statement-peru"
                        class="icon w-[24px] h-[24px]"
                      />
                      <span class="profile-menu-title">{{
                        $t("statement")
                      }}</span>
                    </div>
                    <div class="flex items-center m-angle-right-container">
                      <font-awesome-icon icon="angle-right" />
                    </div>
                  </div>
                </nuxt-link>
              </div>
              <div
                class="box h-fit bg-background1 px-4 sm:py-4 flex flex-col rounded-b-lg sm:rounded-lg"
              >
                <nuxt-link class="py-3 m-profile-menu-item" to="/bet-history">
                  <div class="flex justify-between">
                    <div class="flex items-center fc-text">
                      <svg-icon
                        svg-name="icon-bet-history-peru"
                        class="icon w-[24px] h-[24px]"
                      />
                      <span class="profile-menu-title">{{
                        $t("bet_history")
                      }}</span>
                    </div>
                    <div class="flex items-center m-angle-right-container">
                      <font-awesome-icon icon="angle-right" />
                    </div>
                  </div>
                </nuxt-link>
                <nuxt-link class="py-3 m-profile-menu-item" to="/my-promotion" v-if="isShowPromotion">
                  <div class="flex justify-between">
                    <div class="flex items-center fc-text">
                      <svg-icon
                        svg-name="icon-promotion-peru"
                        class="icon w-[24px] h-[24px]"
                      />
                      <span class="profile-menu-title">{{
                        $t("my_promotion")
                      }}</span>
                    </div>
                    <div class="flex items-center m-angle-right-container">
                      <font-awesome-icon icon="angle-right" />
                    </div>
                  </div>
                </nuxt-link>
                <nuxt-link
                  v-if="referralEnabled && !isV2ReferralEnabled"
                  to="/referral"
                  class="py-3 m-profile-menu-item"
                >
                  <div class="flex justify-between">
                    <div class="flex items-center fc-text">
                      <font-awesome-icon
                        v-if="themeColor.Text === 'bk8'"
                        icon="fa-solid fa-users"
                        class="icon w-[24px] h-[24px]"
                      />
                      <svg-icon
                        v-else
                        svg-name="icon-referral-peru"
                        class="icon w-[24px] h-[24px]"
                      />
                      <!-- <img :src="getAssetImage('assets/theme/new_black_theme/profile/Referral.svg')" alt="" class="m-0 w-[24px] h-[24px]"> -->
                      <span class="profile-menu-title">{{
                        $t("referral")
                      }}</span>
                    </div>
                    <div class="flex items-center m-angle-right-container">
                      <font-awesome-icon icon="angle-right" />
                    </div>
                  </div>
                </nuxt-link>
                <nuxt-link
                  v-if="isReferralV2Enabled && isShowReferralPage"
                  to="/referral-v2/information"
                  class="py-3 m-profile-menu-item"
                >
                  <div class="flex justify-between">
                    <div class="flex items-center fc-text">
                      <font-awesome-icon
                        v-if="themeColor.Text === 'bk8'"
                        icon="fa-solid fa-users"
                        class="icon w-[24px] h-[24px]"
                      />
                      <svg-icon
                        v-else
                        svg-name="icon-referral-peru"
                        class="icon w-[24px] h-[24px]"
                      />
                      <!-- <img :src="getAssetImage('assets/theme/new_black_theme/profile/Referral.svg')" alt="" class="m-0 w-[24px] h-[24px]"> -->
                      <span class="profile-menu-title">{{
                        $t("referral")
                      }}</span>
                    </div>
                    <div class="flex items-center m-angle-right-container">
                      <font-awesome-icon icon="angle-right" />
                    </div>
                  </div>
                </nuxt-link>
                <nuxt-link
                  to="/messages"
                  class="py-[16.5px] m-profile-menu-item"
                >
                  <div class="flex justify-between">
                    <div class="flex items-center fc-text">
                      <svg-icon
                        svg-name="message"
                        class="icon w-[24px] h-[21px] mt-[-5px]"
                        style="fill: white"
                      />
                      <span class="profile-menu-title">{{ $t("messages") }}</span>
                      <MessagesMessageCount
                        v-if="unreadInfo && unreadInfo.TotalCount"
                        :count="unreadInfo.TotalCount"
                        :is-unread="true"
                        class="mr-2"
                      ></MessagesMessageCount>
                    </div>
                    <div class="flex items-center m-angle-right-container">
                      <font-awesome-icon
                        icon="angle-right"
                        style="color: white"
                      />
                    </div>
                  </div>
                </nuxt-link>
              </div>
            </div>
            <div class="flex flex-col rounded-lg px-4 bg-background1 my-[10px]">
              <nuxt-link class="py-3 m-profile-menu-item" to="/help-center">
                <div class="flex justify-between">
                  <div class="flex items-center fc-text">
                    <svg-icon
                      svg-name="icon-aboutus"
                      class="icon w-[24px] h-[24px]"
                    />
                    <span class="profile-menu-title">{{
                      $t("help_center")
                    }}</span>
                  </div>
                  <div class="flex items-center m-angle-right-container">
                    <font-awesome-icon icon="angle-right" />
                  </div>
                </div>
              </nuxt-link>
            </div>
            <div class="flex flex-col px-4 rounded-lg bg-background1 mb-[10px]">
              <div class="py-3 m-profile-menu-item" @click="onLogout">
                <div class="flex justify-between">
                  <div class="flex items-center fc-text">
                    <svg-icon
                      svg-name="icon-signout-peru"
                      class="icon w-[24px] h-[24px]"
                    />
                    <!-- <img :src="getAssetImage('assets/theme/new_black_theme/SignOut.svg')" class="m-0 w-[24px] h-[24px]"> -->
                    <span class="profile-menu-title">{{ $t("logout") }}</span>
                  </div>
                  <div class="flex items-center m-angle-right-container">
                    <font-awesome-icon icon="angle-right" />
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <new-black-theme-hamburger-menu />
    </div>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent, ref } from "vue";
import {
  useLanguageComponent,
  useHeaderComponent,
} from "@/composables/useTheme";
import useBalanceInfo from "@/composables/useBalanceInfo";
import { store } from "@/store";

export default defineComponent({
  name: "Profile",
  setup() {
    const peruShop = computed(() => store.state.isPerushopEnabled ? store.state.isPerushopEnabled : false);
    const isShowReferralPage = computed(() => store.state.IsShowReferralPage);
    const activeNames = ref([]);
    const router = useRouter();
    const toggleAgentCooperation = () => {
      store.commit(
        "updateAgentCooperationDialog",
        !store.state.showAgentCooperationDialog
      );
    };
    const { logout, referralEnabled, agentCooperation, isReferralV2Enabled } = useHeaderComponent();
    const onLogout = () => {
      logout();
    };

    const {
      languages,
      defaultLanguage,
      switchLanguage,
      defaultLanguageForDisplay,
    } = useLanguageComponent();

    const isBSI = computed(() => !store.state.auth);
    const onNavigateToPage = (url: string) => {
      if (isBSI.value) {
        router.push("/login");
      } else {
        window.open(url, "_blank");
      }
    };
    const { getAssetImage, isBhinbhin } = commonHelper;
    const accountBgImg = `url(${getAssetImage(
      "assets/theme/new_black_theme/profile_bg.png"
    )})`;
    const { themeColor } = themePropertyHelper;
    const username = computed(() => store.state.username);
    const currency = computed(() => store.state.currency);
    const { isLoading, getBalance, wallets, getMultiWallets } = useBalanceInfo();
    const { isShowDepositWithdrawal, isCashPlayer, isShowPromotion } = useMenu();
    const isShowWalletContainer = computed(
      () => (isBSI.value && isShowDepositWithdrawal.value) || !isBSI.value
    );
    const { fetchMessages, unreadInfo } = useMessage();
    const route = useRoute();
    onMounted(() => {
      if (!route.fullPath.includes("messages")) {
        fetchMessages();
      }
    });
    return {
      activeNames,
      languages,
      defaultLanguage,
      switchLanguage,
      defaultLanguageForDisplay,
      isBSI,
      onLogout,
      onNavigateToPage,
      referralEnabled,
      agentCooperation,
      getAssetImage,
      accountBgImg,
      toggleAgentCooperation,
      themeColor,
      username,
      currency,
      isLoading,
      getBalance,
      wallets,
      isCashPlayer,
      isShowDepositWithdrawal,
      isShowWalletContainer,
      isShowPromotion,
      isReferralV2Enabled,
      peruShop,
      getMultiWallets,
      isShowReferralPage,
      unreadInfo,
      isBhinbhin,
    };
  },
});
</script>

<style lang="scss" scoped>
.el-collapse {
  --el-collapse-content-bg-color: none;
  --el-collapse-header-bg-color: none;
  border: none;
  :deep(.el-collapse-item__arrow) {
    font-weight: bold;
    color: var(--text);
  }
}
:deep(.icon svg) {
  width: 24px;
  height: 24px;
}
:deep(.icon svg path) {
  fill: var(--text);
}
.icon-lang {
  img {
    width: 22px;
    height: 15px;
    object-fit: cover;
  }
  width: 22px;
  height: 15px;
  border-radius: 2px;
  overflow: hidden;
  background: none;
}
.svg-inline--fa {
  color: var(--text);
}
.m-profile-menu-item {
  border-bottom: 0.5px solid #272727;
}
.header-bg {
  @media screen and (max-width: 1023px) {
    background: var(--background4);
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    height: 147px;
    z-index: -1;
  }
}
@media screen and (max-width: 639px) {
  .m-profile-menu-item:last-child {
    border-bottom: 0;
  }
  .box:first-child .m-profile-menu-item:last-child {
    border-bottom: 0.5px solid #272727;
  }
}

.peru-profile-transaction-btns {
  @media screen and (max-width: 319px) {
    flex-direction: column;
  }
  a {
    @media screen and (max-width: 319px) {
      width: 100%;
    }
  }
}
</style>
<style lang="scss">
.m-account-header-title::before {
  background-image: v-bind(accountBgImg);
  content: "";
  height: 184px;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  background-size: cover;
  filter: grayscale(100%);
}
.m-profile-menu-item:last-child {
  border-bottom: 0;
}
.m-angle-right-container {
  height: 21.83px;
  width: 21.83px;
  display: flex;
  justify-content: center;
  color: var(--textBtn);
}
.m-angle-right-container svg {
  font-size: 16.31px;
}
.profile-menu-title {
  font-size: 14px;
  color: var(--text);
  margin-left: 8.73px;
}
.el-collapse-item__arrow {
  display: none;
}
.el-collapse-item__header,
.el-collapse-item__wrap {
  border-bottom: unset;
}
.el-collapse-item .m-language-collapse {
  transition: transform 0.3s ease-in-out;
}
.el-collapse-item.is-active .m-language-collapse {
  transform: rotate(-180deg);
}
.lang-wr-option-container {
  padding-top: 4.87px;
  padding-bottom: 4.87px;
  margin-top: 10px !important;
  margin-bottom: 10px !important;
}
.m-profile-item-btn {
  font-size: 15.82px;
  color: var(--textBtn);
  border: unset;
  padding: var(--padding-x);
  height: 52.31px;
  border-radius: 0.5rem;
}
.padding-y {
  padding-top: 12.25px;
  padding-bottom: 12.25px;
}
.m-margin-unset {
  margin-top: 10px;
}
@media screen and (min-width: 1024px) {
  .is-Small-Screen {
    display: none;
  }
}
@media screen and (max-width: 1023px) {
  .profile {
    .remove-header-footer {
      display: block;
      &:first-child {
        display: none;
      }
    }
    .remove-header-footer > div:first-child {
      display: none;
    }
  }
}
</style>
